Instalando e compilando WildFly via github.

Neste post ensinarei como instalar e compilar o Wildfly via github.

Lembrando que a versão atual do github é o Wildfly Beta 2, ainda em desenvolvimento, portanto não utilize em produção.

Instalando os pré-requisitos:

Para instalar o WildFly é necessário ter instalado em seu computador o JDK 1.7 (Java Development Kit) e o Apache Maven 3.

  1. Instalar o ultimo build JDK 1.7 do site da Oracle.

Procedimento simples, basta instalar a versão do JDK de acordo com seu sistema operacional.

  1. Instalar o Apache Maven 3x

Clique aqui para acessar o site do Apache Maven e baixe a versão 3.x.

mkdir -p /opt/maven
tar xzvf apache-maven-3.1.1-bin.tar -C /opt/maven
Adicionando Apache Maven no PATH.

vi ~/.profile
export PATH=$PATH:/opt/maven/apache-maven-3.1.1/bin/

Instalando o Wildfly

  1. Instalar Wildfly

    cd /opt/
    git clone https://github.com/wildfly/wildfly.git
    cd wildfly
    ./build.sh -DskipTests

O processo acima é demorado, vá tomar um café e volte após 30 minutos.

Após a execução do comando build.sh, verifique se tudo ocorreu com sucesso, será exibido algo parecido com:

Results :
[INFO] ----------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ----------------------------------------------
[INFO] Total time: 43:20.165s
[INFO] Finished at: Fri Oct 25 17:25:12 BRST 2013
[INFO] Final Memory: 275M/708M
[INFO] ----------------------------------------------
  1. Testando Wildfly.

    cd build/target/wildfly-8.0.0.Beta2-SNAPSHOT/bin
    ./standalone.sh
    ./domain.sh

Show Comments